function evaltargs
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Copyright Notice
% This software is the intellectual property of Brad Wyble and Patrick Craston, 2006
% It may be download and used freely.  
% This code may be included in other published works with the permission of the authors, 
% who can be contacted at bwyble @ gmail.com  (remove spaces)
%Using targvals, which is computed in perfcheck.m  (called by runRSVP) we
%check to see if the target is seen and compute the swaps

global T1perf T2perf Swapencoding
global NUMSTREAMS MPHistory
global doubleencoding targvals
global summate summateacc summatecount summateflag summateflag2 summate2 summateacc2 summatecount2

T1perf = zeros(NUMSTREAMS,1);
T2perf = zeros(NUMSTREAMS,1);
Swapencoding = zeros(NUMSTREAMS,1);
doubleencoding = zeros(NUMSTREAMS,1);

for(i = 1:NUMSTREAMS)
    T1perf(i) = max(targvals(i,:,1));
    T2perf(i) = max(targvals(i,:,2));
    if(T1perf(i) & T2perf(i))
        %compute Swaps
        %an unknown case, order is 50/50
        if(max(abs(targvals(i,:,1) - targvals(i,:,2))) == 0)
            Swapencoding(i,1) = .5;
        end
        % a definite swap
        if(targvals(i,2,2) ==0 & targvals(i,2,1) > 0&targvals(i,3,2) ==0)
            Swapencoding(i,1) = 1;
        end
        %doubles are duplicate encodings of a single target
        if(targvals(i,1,1) & targvals(i,2,1) & ~targvals(i,2,2))
            doubleencoding(i) = 1;
        end
        if(~targvals(i,2,1) & targvals(i,2,2) & targvals(i,3,2))
            doubleencoding(i) = 1;
        end
    end
end

%store activation traces in other variables
if(summateflag)
    summatecount= summatecount +1;
    summate(summatecount,:,:,:) = MPHistory(NUMSTREAMS,1:size(MPHistory,2),1:4,1:3);
    summateacc(summatecount,1) = T1perf(3);
    summateacc(summatecount,2) = T2perf(3);
end

if(summateflag2)
    summatecount2= summatecount2 +1;
    summate2(summatecount2,:,:,:) = MPHistory(NUMSTREAMS,1:size(MPHistory,2),1:4,1:3);
    summateacc2(summatecount2,1) = T1perf(3);
    summateacc2(summatecount2,2) = T2perf(3);
end