function runModel
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Copyright Notice
% This software is the intellectual property of Brad Wyble and Patrick Craston, 2006
% It may be download and used freely.  
% This code may be included in other published works with the permission of the authors, 
% who can be contacted at bwyble @ gmail.com  (remove spaces)

%
%Using targvals, which is computed in perfcheck.m  (called by runRSVP) we
%check to see if the target is seen and compute the swaps%runs the model
%modify parameters in code to determine wich conditions, number of targets
%and SOA to run
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

global SOA onetarg don0t dot1 dot2 singletrial
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%These parameters determine which conditions are run.  

%set onetarg to 1 for one target
onetarg = 0;

%run a single trial for test purpose
singletrial = 0;

%for two targets run the model with 100 ms for one target also with 50ms
if(onetarg)
    SOAtorun = [100 50];
else
    SOAtorun = [100 50];
end

%Set to zero to skip this condition
don0t = 1;  %basic
dot1 = 1;   %T1+1 blank
dot2 = 1;   %T2+1 blank
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%run the model
for (run = 1:length(SOAtorun))
    SOA = SOAtorun(run);
    bigbattery
end


